SDL_DestroySurface(3)

NAME
SDL_DestroySurface - Free a surface.

HEADER FILE
Defined in SDL3/SDL_surface.h

SYNOPSIS
#include "SDL3/SDL.h"

void SDL_DestroySurface(SDL_Surface *surface);

DESCRIPTION
It is safe to pass NULL to this function.

FUNCTION PARAMETERS

surface
    the SDL_Surface
     to free.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_CreateSurface(3), •(3), SDL_CreateSurfaceFrom(3)